module.exports = Sate24RestApi;

var request = require("request");

var config;

function Sate24RestApi(_config) {
    config = _config;
}

Sate24RestApi.prototype._apirequest = function(requestOptions, cb) {
    request(requestOptions, function(err, requestResponse, body) {
        if (err) {
            cb(err, null);
            return;
        }

        var data;

        try {
            data = JSON.parse(body);
        }
        catch(jsonException) {
            cb(jsonException, null);
            return;
        };

        cb(null, data);
    });
}

Sate24RestApi.prototype.getStoreUserByMsisdn = function(msisdn, cb) {
    var requestOptions = {
        url: config.sate24_rest.url + "/apikey/" + config.sate24_rest.apikey + "/store-user/by-msisdn/" + msisdn
    };

    this._apirequest(requestOptions, cb);
}

Sate24RestApi.prototype.getTrxByRequestId = function(requestId, cb) {
    var requestOptions = {
        url: config.sate24_rest.url + "/apikey/" + config.sate24_rest.apikey + "/trans/by-messageid/" + requestId
    };

    this._apirequest(requestOptions, cb);
}
